:root {
	--container: clamp(28.125rem, 100% - 10rem, 86.875rem);
	--container-small: clamp(28.125rem, 100% - 10rem, 69.688rem);
	--container-large: clamp(28.125rem, 100% - 10rem, 106.25rem);
}

html {
	font-size: 16px;
	font-family: "Quicksand", Sans-serif, serif;
}

body {
	display: flex;
	flex-direction: column;
	min-height: 100vH;
	font-family: "Quicksand", Sans-serif, serif;
}

body > main.site-main,
body > div[data-elementor-type='wp-page'] {
	flex: 1;
}

.elementor-location-footer {
	margin-top: auto;
}

.page-header .entry-title {
	max-width: initial;
	padding: 0;
}

.site-footer .footer-inner,
.site-footer:not(.dynamic-footer),
.site-header .header-inner,
.site-header:not(.dynamic-header),
body:not([class*=elementor-page-]) .site-main {
	max-width: var(--container);
}

.e-con-boxed {
	padding-right: 1rem;
	padding-left: 1rem;
}

img {
	display: block;
}

textarea {
	resize: vertical;
	display: block;
}

span.color,
h1 span.color,
h2 span.color {
	color: var(--e-global-color-dda0d90);
	font-weight: 700;
}

.elementor-heading-title a,
.elementor-heading-title span {
	text-decoration: inherit;
	font-weight: inherit;
}

.elementor-kit-14 p:last-child {
	margin-bottom: 0;
}

.elementor-kit-14 p > a {
	font-size: inherit;
	color: inherit;
}

.elementor-kit-14 .elementor-icon-box-title > a {
	color: inherit;
}

input::placeholder,
textarea::placeholder {
	/*color: #d2c7c7;*/
}

input[type="submit"],
button,
.button,
.elementor-button {
	position: relative;
	clip-path: polygon(
		0% 0%, 100% 0%, 100% 0%,
		97% 10%,
		100% 20%,
		97% 30%,
		100% 40%,
		97% 50%,
		100% 60%,
		97% 70%,
		100% 80%,
		97% 90%,
		100% 100%, 0% 100%
	)
}

.elementor-heading-title {
	line-height: 1.2;
}

.elementor-icon-wrapper:has(.elementor-icon) {
	display: flex;
}

.elementor-widget-wp-widget-nav_menu h5 {
	font-size: var(--e-global-typography-a15d2e9-font-size);
	font-weight: var(--e-global-typography-a15d2e9-font-weight);
	margin: 0 0 1em;
}

#footer ul,
.elementor-widget-wp-widget-nav_menu ul {
	list-style: none;
	padding-left: 0;
	margin: 0;
}

#footer ul a {
	font-weight: normal;
}

.wpcf7-form {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	gap: 1rem;
}

.wpcf7-submit,
.wpcf7-form-control-wrap {
	width: 100%;
}

.wpcf7 input.wpcf7-submit {
	background-color: var(--e-global-color-622a990) !important;

	&:hover {
		color: var(--e-global-color-dda0d90) !important;
	}
}

.wpcf7 form .wpcf7-response-output {
	width: 100%;
	margin: 0;
	color: #fff;
}

.wpcf7-spinner {
	position: absolute;
}

.wpcf7-form.submitting > *:not(.wpcf7-spinner) {
	opacity: .5;
	pointer-events: none;
}

#header-menu__button {
	cursor: pointer;
	width: 2rem;
	height: 2rem;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 9999;
}

.header-menu__button-inner {
	height: 2px;
	width: 2rem;
	background: var(--e-global-color-primary);
	position: relative;
	transition: .25s;
}

#header-menu__button:hover .header-menu__button-inner {
	background: var(--e-global-color-dda0d90);
}

.header-menu__button-inner:after,
.header-menu__button-inner:before {
	content: '';
	height: inherit;
	width: inherit;
	background: inherit;
	top: .5rem;
	position: absolute;
	opacity: 1;
}

.header-menu__button-inner:before {
	top: -.5rem;
}

#header-menu__button.open {
	position: fixed;
	top: 4rem;
	right: 1rem;
	z-index: 99999;
}


#header-menu__button.open .header-menu__button-inner {
	background: #fff;
	transform: rotate(45deg);
}

#header-menu__button.open .header-menu__button-inner:before {
	transform: rotate(90deg);
	top: 0;
}

#header-menu__button.open .header-menu__button-inner:after {
	opacity: 0;
}

/*MAX media query*/
@media (max-width: 1366px) {
	html {
		font-size: 14px;
	}
	
	#header-menu .menu-item-has-children {
		display: flex;
		flex-direction: column;
	}

	#header-menu .sub-menu {
		position: initial;
	}
}
